MCP Tools Reference: oracledatabase.googleapis.com

Tool: list_cloud_vm_clusters

List Cloud Vm Clusters in a Google Cloud project in the given location.

The following code sample shows how to use curl to call the list_cloud_vm_clusters MCP tool.

Curl Request
curl --location 'https://oracledatabase.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_cloud_vm_clusters",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

The request for CloudVmCluster.List.

ListCloudVmClustersRequest

JSON representation
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string,
  "filter": string
}
Fields
parent

string

Required. The name of the parent in the following format: projects/{project}/locations/{location}.

pageSize

integer

Optional. The number of VM clusters to return. If unspecified, at most 50 VM clusters will be returned. The maximum value is 1,000.

pageToken

string

Optional. A token identifying the page of results the server returns.

filter

string

Optional. An expression for filtering the results of the request.

Output Schema

The response for CloudVmCluster.List.

ListCloudVmClustersResponse

JSON representation
{
  "cloudVmClusters": [
    {
      object (CloudVmCluster)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
cloudVmClusters[]

object (CloudVmCluster)

The list of VM Clusters.

nextPageToken

string

A token to fetch the next page of results.

unreachable[]

string

Unreachable locations when listing resources across all locations using wildcard location '-'.

CloudVmCluster

JSON representation
{
  "name": string,
  "exadataInfrastructure": string,
  "displayName": string,
  "properties": {
    object (CloudVmClusterProperties)
  },
  "labels": {
    string: string,
    ...
  },
  "createTime": string,
  "cidr": string,
  "backupSubnetCidr": string,
  "network": string,
  "gcpOracleZone": string,
  "odbNetwork": string,
  "odbSubnet": string,
  "backupOdbSubnet": string,
  "odbDnsZone": string,
  "identityConnector": {
    object (IdentityConnector)
  },
  "exascaleDbStorageVault": string
}
Fields
name

string

Identifier. The name of the VM Cluster resource with the format: projects/{project}/locations/{region}/cloudVmClusters/{cloud_vm_cluster}

exadataInfrastructure

string

Required. Immutable. The name of the Exadata Infrastructure resource on which VM cluster resource is created, in the following format: projects/{project}/locations/{region}/cloudExadataInfrastuctures/{cloud_extradata_infrastructure}

displayName

string

Optional. Immutable. User friendly name for this resource.

properties

object (CloudVmClusterProperties)

Optional. Immutable. Various properties of the VM Cluster.

labels

map (key: string, value: string)

Optional. Labels or tags associated with the VM Cluster.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

createTime

string (Timestamp format)

Output only. The date and time that the VM cluster was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

cidr

string

Optional. Immutable. Network settings. CIDR to use for cluster IP allocation.

backupSubnetCidr

string

Optional. Immutable. CIDR range of the backup subnet.

network

string

Optional. Immutable. The name of the VPC network. Format: projects/{project}/global/networks/{network}

gcpOracleZone

string

Output only. The GCP Oracle zone where Oracle CloudVmCluster is hosted. This will be the same as the gcp_oracle_zone of the CloudExadataInfrastructure. Example: us-east4-b-r2.

odbNetwork

string

Optional. Immutable. The name of the OdbNetwork associated with the VM Cluster. Format: projects/{project}/locations/{location}/odbNetworks/{odb_network} It is optional but if specified, this should match the parent ODBNetwork of the odb_subnet and backup_odb_subnet.

odbSubnet

string

Optional. Immutable. The name of the OdbSubnet associated with the VM Cluster for IP allocation. Format: projects/{project}/locations/{location}/odbNetworks/{odb_network}/odbSubnets/{odb_subnet}

backupOdbSubnet

string

Optional. Immutable. The name of the backup OdbSubnet associated with the VM Cluster. Format: projects/{project}/locations/{location}/odbNetworks/{odb_network}/odbSubnets/{odb_subnet}

odbDnsZone

string

Optional. Immutable. The name of the OdbDnsZone for using custom domain name for the VM Cluster. Format: projects/{project}/locations/{location}/odbNetworks/{odb_network}/odbDnsZones/{odb_dns_zone}

identityConnector

object (IdentityConnector)

Output only. The identity connector details which will allow OCI to securely access the resources in the customer project.

exascaleDbStorageVault

string

Optional. Immutable. The name of ExascaleDbStorageVault associated with the VM Cluster. Format: projects/{project}/locations/{location}/exascaleDbStorageVaults/{exascale_db_storage_vault}

CloudVmClusterProperties

JSON representation
{
  "ocid": string,
  "licenseType": enum (LicenseType),
  "giVersion": string,
  "timeZone": {
    object (TimeZone)
  },
  "sshPublicKeys": [
    string
  ],
  "nodeCount": integer,
  "shape": string,
  "ocpuCount": number,
  "memorySizeGb": integer,
  "dbNodeStorageSizeGb": integer,
  "storageSizeGb": integer,
  "dataStorageSizeTb": number,
  "diskRedundancy": enum (DiskRedundancy),
  "sparseDiskgroupEnabled": boolean,
  "localBackupEnabled": boolean,
  "hostnamePrefix": string,
  "diagnosticsDataCollectionOptions": {
    object (DataCollectionOptions)
  },
  "state": enum (State),
  "scanListenerPortTcp": integer,
  "scanListenerPortTcpSsl": integer,
  "domain": string,
  "scanDns": string,
  "hostname": string,
  "cpuCoreCount": integer,
  "systemVersion": string,
  "scanIpIds": [
    string
  ],
  "scanDnsRecordId": string,
  "ociUrl": string,
  "dbServerOcids": [
    string
  ],
  "compartmentId": string,
  "dnsListenerIp": string,
  "clusterName": string,
  "computeModel": enum (ComputeModel),
  "storageManagementType": enum (StorageManagementType),
  "vmFileSystemStorageType": enum (VmFileSystemStorageType),
  "vmBackupStorageType": enum (VmBackupStorageType)
}
Fields
ocid

string

Output only. Oracle Cloud Infrastructure ID of VM Cluster.

licenseType

enum (LicenseType)

Required. License type of VM Cluster.

giVersion

string

Optional. Grid Infrastructure Version.

timeZone

object (TimeZone)

Optional. Time zone of VM Cluster to set. Defaults to UTC if not specified.

sshPublicKeys[]

string

Optional. SSH public keys to be stored with cluster.

nodeCount

integer

Optional. Number of database servers.

shape

string

Output only. Shape of VM Cluster.

ocpuCount

number

Optional. OCPU count per VM. Minimum is 0.1.

memorySizeGb

integer

Optional. Memory allocated in GBs.

dbNodeStorageSizeGb

integer

Optional. Local storage per VM.

storageSizeGb

integer

Output only. The storage allocation for the disk group, in gigabytes (GB).

dataStorageSizeTb

number

Optional. The data disk group size to be allocated in TBs.

diskRedundancy

enum (DiskRedundancy)

Optional. The type of redundancy.

sparseDiskgroupEnabled

boolean

Optional. Use exadata sparse snapshots.

localBackupEnabled

boolean

Optional. Use local backup.

hostnamePrefix

string

Optional. Prefix for VM cluster host names.

diagnosticsDataCollectionOptions

object (DataCollectionOptions)

Optional. Data collection options for diagnostics.

state

enum (State)

Output only. State of the cluster.

scanListenerPortTcp

integer

Optional. SCAN listener port - TCP

scanListenerPortTcpSsl

integer

Optional. SCAN listener port - TLS

domain

string

Output only. Parent DNS domain where SCAN DNS and hosts names are qualified. ex: ocispdelegated.ocisp10jvnet.oraclevcn.com

scanDns

string

Output only. SCAN DNS name. ex: sp2-yi0xq-scan.ocispdelegated.ocisp10jvnet.oraclevcn.com

hostname

string

Output only. host name without domain. format: "-" with some suffix. ex: sp2-yi0xq where "sp2" is the hostname_prefix.

cpuCoreCount

integer

Required. Number of enabled CPU cores.

systemVersion

string

Optional. Operating system version of the image.

scanIpIds[]

string

Output only. OCIDs of scan IPs.

scanDnsRecordId

string

Output only. OCID of scan DNS record.

ociUrl

string

Output only. Deep link to the OCI console to view this resource.

dbServerOcids[]

string

Optional. OCID of database servers.

compartmentId

string

Output only. Compartment ID of cluster.

dnsListenerIp

string

Output only. DNS listener IP.

clusterName

string

Optional. OCI Cluster name.

computeModel

enum (ComputeModel)

Output only. The compute model of the VM Cluster.

storageManagementType

enum (StorageManagementType)

Output only. The storage management type of the VM Cluster.

vmFileSystemStorageType

enum (VmFileSystemStorageType)

Optional. Specifies whether VM file system storage / VM images are stored on local DB server storage or Exascale storage.

vmBackupStorageType

enum (VmBackupStorageType)

Optional. Specifies whether VM backups are stored on local DB server storage or Exascale storage.

TimeZone

JSON representation
{
  "id": string,
  "version": string
}
Fields
id

string

IANA Time Zone Database time zone. For example "America/New_York".

version

string

Optional. IANA Time Zone Database version number. For example "2019a".

DataCollectionOptions

JSON representation
{
  "diagnosticsEventsEnabled": boolean,
  "healthMonitoringEnabled": boolean,
  "incidentLogsEnabled": boolean
}
Fields
diagnosticsEventsEnabled

boolean

Optional. Indicates whether diagnostic collection is enabled for the VM cluster

healthMonitoringEnabled

boolean

Optional. Indicates whether health monitoring is enabled for the VM cluster

incidentLogsEnabled

boolean

Optional. Indicates whether incident logs and trace collection are enabled for the VM cluster

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

IdentityConnector

JSON representation
{
  "serviceAgentEmail": string,
  "connectionState": enum (ConnectionState)
}
Fields
serviceAgentEmail

string

Output only. A google managed service account on which customers can grant roles to access resources in the customer project. Example: p176944527254-55-75119d87fd8f@gcp-sa-oci.iam.gserviceaccount.com

connectionState

enum (ConnectionState)

Output only. The connection state of the identity connector.

LicenseType

Different licenses supported.

Enums
LICENSE_TYPE_UNSPECIFIED Unspecified
LICENSE_INCLUDED License included part of offer
BRING_YOUR_OWN_LICENSE Bring your own license

DiskRedundancy

Types of disk redundancy provided by Oracle.

Enums
DISK_REDUNDANCY_UNSPECIFIED Unspecified.
HIGH High - 3 way mirror.
NORMAL Normal - 2 way mirror.

State

The various lifecycle states of the VM cluster.

Enums
STATE_UNSPECIFIED Default unspecified value.
PROVISIONING Indicates that the resource is in provisioning state.
AVAILABLE Indicates that the resource is in available state.
UPDATING Indicates that the resource is in updating state.
TERMINATING Indicates that the resource is in terminating state.
TERMINATED Indicates that the resource is in terminated state.
FAILED Indicates that the resource is in failed state.
MAINTENANCE_IN_PROGRESS Indicates that the resource is in maintenance in progress state.

ComputeModel

The compute model of the Exadata Infrastructure, VM Cluster and Autonomous Database.

Enums
COMPUTE_MODEL_UNSPECIFIED Unspecified compute model.
COMPUTE_MODEL_ECPU Abstract measure of compute resources. ECPUs are based on the number of cores elastically allocated from a pool of compute and storage servers.
COMPUTE_MODEL_OCPU Physical measure of compute resources. OCPUs are based on the physical core of a processor.

StorageManagementType

The type of storage management for the Cloud VM Cluster.

Enums
STORAGE_MANAGEMENT_TYPE_UNSPECIFIED Unspecified storage management type.
ASM Automatic Storage Management.
EXASCALE Exascale storage management.

VmFileSystemStorageType

Storage types for VM File System.

Enums
VM_FILE_SYSTEM_STORAGE_TYPE_UNSPECIFIED Unspecified storage type.
VM_FILE_SYSTEM_STORAGE_TYPE_LOCAL Local DB server storage.
VM_FILE_SYSTEM_STORAGE_TYPE_EXASCALE Exascale storage.

VmBackupStorageType

Storage types for VM Backup.

Enums
VM_BACKUP_STORAGE_TYPE_UNSPECIFIED Unspecified storage type.
VM_BACKUP_STORAGE_TYPE_LOCAL Local DB server storage.
VM_BACKUP_STORAGE_TYPE_EXASCALE Exascale storage.

ConnectionState

The various connection states of the WorkloadIdentityPoolConnection.

Enums
CONNECTION_STATE_UNSPECIFIED Default unspecified value.
CONNECTED The identity pool connection is connected.
PARTIALLY_CONNECTED The identity pool connection is partially connected.
DISCONNECTED The identity pool connection is disconnected.
UNKNOWN The identity pool connection is in an unknown state.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌